Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame

From: martin rudalics <[email-masked]>
Date: Fri, 06 Mar 2015 19:55:50 +0100

> The drag event should return the one that's on top.

The top window is usually the one where the drag started.  We need the
Emacs window not obscured by _any_ other window at the location of the
mouse cursor.  How do we find that window?

 > Then you can
 > compute the corresponding location in the lower window if it wants to
 > using the kind of code you suggested (because it knows it wants that
 > specific window, not for its stacking order but for other reasons).

Any code trying to detect the target window has to do the same
computation.  Mine was only an attempt to do that manually within
Tassilo's original proposal.

martin